import serial
import psutil
import math
import time
import sys

if(len(sys.argv)==1):
	print("Error No port specified")
else:
	ser = serial.Serial(sys.argv[1],1200)  # open serial port
	print(ser.name)         # check which port was really used	
	ser.write(b'.....')     # write a string 
	while(1):
		cpu_t_percent = psutil.cpu_times_percent(interval=0.5)		
		cpu_overall_load=max(min(100.0-cpu_t_percent.idle,100),0)
		cpu_load_255=int(math.floor(cpu_overall_load*2.55))
		ser.write(str.encode(chr(cpu_load_255)))
		#print(float(cpu_load_255)/2.55)
		time.sleep(0.01)
	
